Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class GsubTable

    java.lang.Object
      org.apache.batik.svggen.font.table.GsubTable

All Implemented Interfaces:
  LookupSubtableFactory, Table

public class GsubTable
extends java.lang.Object
implements Table, LookupSubtableFactory

Field Summary

Fields inherited from interface org.apache.batik.svggen.font.table.Table
`BASE, CFF, cmap, cvt, DSIG, EBDT, EBLC, EBSC, encodingArabic, encodingArmenian, encodingASCII, encodingBengali, encodingBurmese, encodingChinese, encodingDevanagari, encodingGeez, encodingGeorgian, encodingGreek, encodingGujarati, encodingGurmukhi, encodingHebrew, encodingISO10646, encodingISO8859_1, encodingJapanese, encodingKannada, encodingKhmer, encodingKorean, encodingLaotian, encodingMalayalam, encodingMaldivian, encodingMongolian, encodingOriya, encodingRoman, encodingRSymbol, encodingRussian, encodingSindhi, encodingSinhalese, encodingSlavic, encodingTamil, encodingTelugu, encodingThai, encodingTibetan, encodingUGL, encodingUndefined, encodingUninterp, encodingVietnamese, fpgm, fvar, gasp, GDEF, glyf, GPOS, GSUB, hdmx, head, hhea, hmtx, JSTF, kern, languageArabic, languageBEL, languageBGR, languageCAT, languageChinese, languageCSY, languageDAN, languageDanish, languageDEA, languageDEC, languageDEL, languageDES, languageDEU, languageDutch, languageELL, languageENA, languageENC, languageENG, languageEnglish, languageENI, languageENU, languageENZ, languageESM, languageESN, languageESP, languageETI, languageEUQ, languageFIN, languageFinnish, languageFRA, languageFRB, languageFRC, languageFrench, languageFRL, languageFRS, languageGerman, languageGreek, languageHebrew, languageHindi, languageHUN, languageIcelandic, languageISL, languageITA, languageItalian, languageITS, languageJapanese, languageLTH, languageLVI, languageMaltese, languageNLB, languageNLD, languageNON, languageNOR, languageNorwegian, languagePLK, languagePortuguese, languagePTB, languagePTG, languageROM, languageRUS, languageSHL, languageSKY, languageSLV, languageSpanish, languageSQI, languageSVE, languageSwedish, languageThai, languageTRK, languageTurkish, languageUKR, languageUrdu, languageYugoslavian, loca, LTSH, maxp, MMFX, MMSD, name, nameCopyrightNotice, nameFontFamilyName, nameFontSubfamilyName, nameFullFontName, namePostscriptName, nameTrademark, nameUniqueFontIdentifier, nameVersionString, OS_2, PCLT, platformAppleUnicode, platformISO, platformMacintosh, platformMicrosoft, post, prep, VDMX, vhea, vmtx`

Constructor Summary
`protected` | `GsubTable(DirectoryEntry de, java.io.RandomAccessFile raf)`

Method Summary
`FeatureList` | `getFeatureList()`
`LookupList` | `getLookupList()`
`ScriptList` | `getScriptList()`
`int` | `getType()` Get the table type, as a table directory value.
`LookupSubtable` | `read(int type, java.io.RandomAccessFile raf, int offset)` 1 - Single - Replace one glyph with one glyph 2 - Multiple - Replace one glyph with more than one glyph 3 - Alternate - Replace one glyph with one of many glyphs 4 - Ligature - Replace multiple glyphs with one glyph 5 - Context - Replace one or more glyphs in context 6 - Chaining - Context Replace one or more glyphs in chained context
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GsubTable

    protected GsubTable(DirectoryEntry de,
                        java.io.RandomAccessFile raf)
                 throws java.io.IOException

Method Detail

### read

    public LookupSubtable read(int type,
                               java.io.RandomAccessFile raf,
                               int offset)
                        throws java.io.IOException

  1 - Single - Replace one glyph with one glyph 2 - Multiple - Replace one glyph with more than one glyph 3 - Alternate - Replace one glyph with one of many glyphs 4 - Ligature - Replace multiple glyphs with one glyph 5 - Context - Replace one or more glyphs in context 6 - Chaining - Context Replace one or more glyphs in chained context

  Specified by:
    `read` in interface `LookupSubtableFactory`
  Throws:
    `java.io.IOException`

### getType

    public int getType()

  Get the table type, as a table directory value.

  Specified by:
    `getType` in interface `Table`
  Returns:
    The table type

### getScriptList

    public ScriptList getScriptList()

### getFeatureList

    public FeatureList getFeatureList()

### getLookupList

    public LookupList getLookupList()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.